> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer affiliate payout request

> Developer API operation for POST /dev/v1/customers/{id}/affiliate/payout-requests.



## OpenAPI

````yaml /openapi.json post /dev/v1/customers/{id}/affiliate/payout-requests
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/customers/{id}/affiliate/payout-requests:
    post:
      tags:
        - Customers
      summary: Create customer affiliate payout request
      description: >-
        Developer API operation for POST
        /dev/v1/customers/{id}/affiliate/payout-requests.
      operationId: postDevV1CustomersByIdAffiliatePayout-requests
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - asset
                - address
              properties:
                amount:
                  anyOf:
                    - type: string
                      format: numeric
                      default: 0
                    - type: number
                asset:
                  type: string
                address:
                  type: string
                network:
                  type: string
                  nullable: true
                note:
                  type: string
                  nullable: true
          multipart/form-data:
            schema:
              type: object
              required:
                - amount
                - asset
                - address
              properties:
                amount:
                  anyOf:
                    - type: string
                      format: numeric
                      default: 0
                    - type: number
                asset:
                  type: string
                address:
                  type: string
                network:
                  type: string
                  nullable: true
                note:
                  type: string
                  nullable: true
          text/plain:
            schema:
              type: object
              required:
                - amount
                - asset
                - address
              properties:
                amount:
                  anyOf:
                    - type: string
                      format: numeric
                      default: 0
                    - type: number
                asset:
                  type: string
                address:
                  type: string
                network:
                  type: string
                  nullable: true
                note:
                  type: string
                  nullable: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````